light-mode-image
Learn
API ReferenceIntermediate certificates

Retrieve all DTS intermediate CA certificates under a root CA

Roles

admindts-provider

Analytics Events

ECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_RETRIEVE_LIST_STARTECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_RETRIEVE_LIST_SUCCESSECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_RETRIEVE_LIST_FAIL
GET/v1/ecosystems/certificates/ca/{dtsCaCertificateId}/intermediate

Retrieves all DTS intermediate CA certificates issued under the specified DTS root CA.

Analytic events

  • ECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_RETRIEVE_LIST_START
  • ECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_RETRIEVE_LIST_SUCCESS
  • ECOSYSTEM_DTS_INTERMEDIATE_CA_CERTIFICATE_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

dtsCaCertificateId*string

Unique identifier of the DTS root CA certificate.

Formatuuid

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/ecosystems/certificates/ca/497f6eca-6276-4993-bfeb-53cbbbba6f08/intermediate"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "active": true,      "certificatePem": "string",      "certificateFingerprint": "string",      "certificateData": {        "commonName": "string",        "country": "string",        "organisationName": "string",        "notAfter": "2019-08-24T14:15:22Z",        "notBefore": "2019-08-24T14:15:22Z"      },      "usages": [        "VICAL"      ],      "caCertificateId": "3c667fc8-c92c-4eee-a159-5221f574052e"    }  ],  "nextCursor": "string"}

How would you rate this page?